package com.game.player.state;

import com.game.ActionEvent;
import com.game.Global;
import com.game.data.Player;
import com.game.state.StateBase;

/**
 * 玩家重连状态
 * 
 */
public class PlayerReloadState extends StateBase<Player> {
	
	public void execute(Player owner, String cmd, int gid, Object param) {
		switch (cmd) {
			case ActionEvent.EVENT_READY:
				Global.gameCtr.ready(owner);
				break;
			case ActionEvent.EVENT_READY_AND_XIPAI:
				Global.gameCtr.readyAndXipai(owner);
				break;
		}
	}

}
